Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5908 - kfm/kioslave leaks fds.
Summary: kfm/kioslave leaks fds.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kdebase
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-13 08:01 UTC by bofh
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-17 18:59:43 UTC


Attachments (Terms of Use)

Description bofh 1999-10-13 08:01:50 UTC
Pressing the back and forward buttons between two ftp directories uses
up more and more unix domain sockets and kioslave processes:

$ /usr/sbin/lsof | grep kioslave | grep unix | wc -l
520

4 back and forward button pressings later:

$ /usr/sbin/lsof | grep kioslave | grep unix | wc -l
1213

$ ps auxw | grep kioslave | wc -l
48

This is on a single user system.

Closing that kfm window doesn't close the sockets.

Try the url ftp://ftp.hogia.net/ and press on the bin URL for example.

When the unix domain sockets are used up, the X server can't accept any
more local X clients and it becomes hard to figure out what is wrong...

Comment 1 Preston Brown 2000-01-17 18:59:59 UTC
kde 1.1.2 has fixed this problem.  Please upgrade your KDE RPMs to the ones
included in 6.1, or upgrade your system completely.


Note You need to log in before you can comment on or make changes to this bug.